﻿
#target InDesign

main ()


function main () {	
	var _textDatei = File.openDialog("Bitte wählen Sie die Textkarte aus!");	
	var _folder = _textDatei.parent;
	var _vorlagenDatei = new File (_folder + "/vorlage.indt");
	
	var _dokument = app.open(_vorlagenDatei);
	var _seite = _dokument.pages[0];
	_seite.appliedMaster = _dokument.masterSpreads.itemByName("K-Karte");
	
	var _headlinekasten = _seite.masterPageItems[0];
	var _textkasten = _seite.masterPageItems[1];
	var _bildkasten = _seite.masterPageItems[3];
	
	var _tf = _textkasten.override(_seite);
	_tf.place(_textDatei);
	
	var _bf = _bildkasten.override(_seite);
	var _bildName = _textDatei.name.replace(".txt", ".jpg");
	var _bildDatei = new File (_folder + "/img/" + _bildName);

	_bf.place(_bildDatei);
	_bf.fit(FitOptions.PROPORTIONALLY);
	_bf.fit(FitOptions.CENTER_CONTENT);
	
	var _tf2 =	_headlinekasten.override(_seite);
	_tf2.insertionPoints[0].contents = _textDatei.name.replace(".txt", "").replace("%C3%B6", "ö");
	
	var _story = _tf.parentStory;
	_story.paragraphs[0].appliedParagraphStyle = _dokument.paragraphStyles.itemByName("bu");
	_story.paragraphs[1].appliedParagraphStyle = _dokument.paragraphStyles.itemByName("head2");
	
	for (var i = 2; i < _story.paragraphs.length; i++ ) {
		_story.paragraphs[i].appliedParagraphStyle = _dokument.paragraphStyles.itemByName("g");		
	}
		
	var _inddFile = new File (_folder + "/ergebnis.indd")
	_dokument.save(_inddFile);
	_dokument.close();
	
	}
